<?php
class MH_Board_Admin{
	function __construct(){
	}
	function board_not_exists($name, $slug){
		
		if(!get_term_by('name',$name,'board_cat') && !get_term_by('slug',$slug,'board_cat') && !get_page_by_path($slug)){
			return true;
		}
		return false;
	}
	function create_board($name, $slug){
		if($term_id = wp_insert_term($name, 'board_cat',array('slug'=>$slug))){
			$post = array(
				'post_title'	=> $name,
				'post_name'		=> $slug,
				'post_type'		=> 'page',
				'post_status'	=> 'publish',
				'post_content'	=> '[mh_board board_cat="'.$slug.'"]'
			);

			if(wp_insert_post($post)){
				$settings = array(
						'list'				=> $_POST['board_list'],
						'type'				=> $_POST['board_type'],
						'default_content'	=> $_POST['board_default_content']
					);
				$settings = serialize($settings);
				update_option('mh_'.$slug.'_settings',$settings);
				return true;
			}else{
				wp_delete_term($term_id);
				return false;
			}
		}
		return false;
	}
	function edit_board($name, $slug){
		$term_id = empty($_POST['term_id']) ? '' : $_POST['term_id'];
		$post_id = empty($_POST['post_id']) ? '' : $_POST['post_id'];
		if(!is_numeric($term_id)){
			return false;
		}
		$term = get_term_by('id',$term_id,'board_cat');
		if($term->name != $name){
			if(get_term_by('name',$name,'board_cat')){
				return false;
			}
		}
		if($term->slug != $slug){
			if(get_term_by('slug',$slug,'board_cat')){
				return false;
			}
		}
		if($post_id > 0){
			$post = get_post($post_id);
			if(isset($post->post_name) && $post->post_name != $slug){
				if(get_page_by_path($slug)){
					return false;
				}
			}
		}
		if($term = wp_update_term($term_id, 'board_cat',array('name'=>$name,'slug'=>$slug)) ){
			if(!is_numeric($post_id) && empty($post)){
				$post = array(
					'post_title'	=> $name,
					'post_name'		=> $slug,
					'post_type'		=> 'page',
					'post_status'	=> 'publish',
					'post_content'	=> '[mh_board board_cat="'.$slug.'"]'
				);
				if(wp_insert_post($post)){
					$settings = array(
						'list'				=> $_POST['board_list'],
						'type'				=> $_POST['board_type'],
						'default_content'	=> $_POST['board_default_content']
					);
					$settings = serialize($settings);
					update_option('mh_'.$slug.'_settings',$settings);
					return true;
				}
			}else{
				$post = array(
					'ID'			=> $post->ID,
					'post_title'	=> $name,
					'post_name'		=> $slug,
					'post_type'		=> 'page',
					'post_status'	=> 'publish',
					'post_content'	=> '[mh_board board_cat="'.$slug.'"]'
				);
				if(wp_update_post($post)){
					$settings = array(
						'list'				=> $_POST['board_list'],
						'type'				=> $_POST['board_type'],
						'default_content'	=> $_POST['board_default_content']
					);
					$settings = serialize($settings);
					update_option('mh_'.$slug.'_settings',$settings);
					return true;
				}
			}
		}
		return false;


	}
}
?>