<?php
/**
 * MHBoard Shortcode url rewrite rule
 *
 * @since MHBoard 1.3
 * @author MinHyeong Lim
 *
 */
add_action( 'init', 'mh_rewrite_flush' );
function mh_rewrite_flush(){
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
	global $wp_query;
	
}
add_action( 'query_vars','mh_board_query_vars' );
function mh_board_query_vars( $vars ){
	$vars[] = "mh_type";
	$vars[] = "board_id";
	return $vars;
}
add_filter( 'rewrite_rules_array', 'mh_board_url_rewrite_rule' );
function mh_board_url_rewrite_rule($rules){
	
	$mh_rules = array();
	$mh_rules['(.+)/([0-9]+)$'] = 'index.php?pagename=$matches[1]&board_id=$matches[2]&mh_type=view';
	$mh_rules['(.+)/write$'] = 'index.php?pagename=$matches[1]&mh_type=write';
	$mh_rules['(.+)/([0-9]+)/edit$'] = 'index.php?pagename=$matches[1]&board_id=$matches[2]&mh_type=edit';
	$mh_rules['(.+)/([0-9]+)/delete$'] = 'index.php?pagename=$matches[1]&board_id=$matches[2]&mh_type=delete';
	$mh_rules['(.+)/([0-9]+)/reply$'] = 'index.php?pagename=$matches[1]&board_id=$matches[2]&mh_type=reply';
	
	return $mh_rules + $rules;
}
add_filter( 'pre_get_posts','mh_pre_get_posts');
function mh_pre_get_posts($query){
	if(isset($query->query_vars['post_type']) && !in_array($query->query_vars['post_type'],array('page','post','attachment')) && isset($query->query_vars['page'])){
		unset($query->query_vars['name']);
		unset($query->query_vars['page']);
		unset($query->query['name']);
		$query->query_vars['p'] = $query->query_vars[$query->query_vars['post_type']];
		unset($query->query_vars[$query->query_vars['post_type']]);

	}
	return $query;
}
//add_filter( 'sanitize_title','mh_sanitize_title',1,3);
function mh_sanitize_title($title,$raw_title, $context){
	if($context == 'query'){
		$title = '';
	}
	return $title;
}
?>